Debian Security Advisory

DSA-989-1 zoph -- SQL injection

Date Reported:
09 Mar 2006
Affected Packages:
Security database references:
In the Debian bugtracking system: Bug 350717.
In Mitre's CVE dictionary: CVE-2006-0402.
More information:

Neil McBride discovered that Zoph, a web based photo management system performs insufficient sanitising for input passed to photo searches, which may lead to the execution of SQL commands through a SQL injection attack.

The old stable distribution (woody) does not contain zoph packages.

For the stable distribution (sarge) this problem has been fixed in version 0.3.3-12sarge1.

For the unstable distribution (sid) this problem has been fixed in version 0.5-1.

We recommend that you upgrade your zoph package.

Fixed in:

Debian GNU/Linux 3.1 (sarge)

Architecture-independent component:

MD5 checksums of the listed files are available in the original advisory.